@import url(./general.css);

.principal{
    display: grid;
    grid-template-columns: repeat(2, 40%);
    justify-content: center;
    row-gap: 32px;
    margin-bottom: 32px;
}
.pageName{
    text-align: center;
    width: 250px;
    margin: 32px auto 0 auto;
    border-top: 2px solid var(--blueMain);
    border-bottom: 2px solid var(--blueMain);
    grid-column: 1/3;
}
.auxProductElement{
    perspective: 1000px;
}
#distribuidoresSFacil{
    grid-column: 1/3;
    text-align: center;
    margin: 64px 0 24px 0;
}
.productElementCont{
    position: relative;
    height: 350px;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), linear-gradient(0deg, rgba(30, 136, 229, 0.6), rgba(30, 136, 229, 0.6)), no-repeat url(./../img/pebg.jfif);
    background-size: cover;
    background-position: center;
    border-radius: 20px;
    transition: transform .8s;
    transform-style: preserve-3d;
}
.auxProductElement:hover .productElementCont{
    transform: rotateY(180deg);
}
.productElementBack{
    height: 302px;
    border: 2px solid #fff;
    border-radius: 20px;
    color: #fff;
    text-align: center;
    padding: 16px 8px;
    margin: 24px;
}
.productElementBack button{
    max-width: 190px;
    background-color: #fff;
    color: rgba(30, 136, 229, 1);
    border: 2px solid #fff;
    border-radius: 5px;
    font-size: 11px;
    font-weight: 600;
    width: 100%;
    height: 32px;
}
.productElementBack p{
    line-height: 1;
    max-height: 133px;
    overflow: hidden;
}
.productElementBack h3{
    font-size: 16px;
}
.productElementBack button:active{
    background: none;
    color: #fff;
}
.productElementBack button:nth-child(even){
    margin-top: 4px;
    border-color: #91D900;
    background-color: #91D900;
    color: #fff;
}
.productElementBack button:nth-child(even):active{
    color: #91D900;
    background: none;
}
.productElementBack p{
    
    max-width: 100%;
    text-align: justify;
}
.productElementFront{
    height: 100%;
    width: 100%;
}
.productElementFront img{
    margin: 0 auto;
    width: 100%;
    height: 100%;
    border-radius: 20px;
}
.productElementBack, .productElementFront{
    backface-visibility: hidden;
    position: absolute;
}
.productElementBack{
    transform: rotateY(180deg);
}
.accordion-button:not(.collapsed){
    color: #000;
    background-color: #fff;
}
#sfacil{
    width: 500px;
}
#downloadModalVisor, #downloadModalREX{
    height: 100vh;
    width: 100vw;
    position: fixed;
    z-index: 6;
    background-color: rgba(0, 0, 0, .5);
    display: none;
    align-items: center;
    justify-items: center;
    cursor: pointer;
}
.downloadContent{
    background-color: #fff;
    border-radius: 15px;
    padding: 32px;
    width: 754px;
}
.downloadContent img{
    margin: 32px 0;
}
.downloadContent p{
    font-size: 21px;
}
@media (max-width: 539px){
    .auxProductElement{
        width: 100%;
        margin: 0 auto;
        grid-column: 1/3;
        max-width: 310px;
    }
    #sfacil{
        width: 300px;
    }
}
@media (min-width: 540px){
    .principal{
        grid-template-columns: repeat(2, 250px);
        gap: 32px;
    }
    .productElementCont{
        width: 250px;
        height: 312.5px;
    }
    .productElementBack{
        width: 202px;
        height: 264.5px;
        font-size: 14px;
    }
    .productElementBack h3{
        font-size: 16px;
    }
    .productElementBack button{
        width: 100%;
    }
}
@media (min-width: 750px){
    .productElementBack button{
        width: 45%;
    }
    .productElementBack p{
        line-height: 1.5;
        max-height: 90%;
    }
    .principal{
        grid-template-columns: repeat(2, 356px);
    }
    .productElementCont{
        /*width: 250px;
        height: 312.5px;*/
        width: 356px;
        height: 445px;
    }
    .productElementBack{
        font-size: 16px;
        width: 308px;
        height: 397px;
    }
    .productElementBack h3{
        font-size: 21px;
    }
}
@media (min-width: 980px){
    .principal{
        grid-template-columns: repeat(3, 300px);
    }
    .pageName, #distribuidoresSFacil{
        grid-column: 1/4;
    }
    .productElementCont{
        width: 300px;
        height: 375px;
    }
    .productElementBack{
        width: 252px;
        height: 327px;
    }
    .productElementBack h3{
        font-size: 18px;
    }
    .productElementBack p{
        font-size: 15px;
    }
}
@media (min-width: 1201px){
    .principal{
        grid-template-columns: repeat(3, 356px);
    }
}
@media (max-width: 400px){
    #sfacil{
        width: 250px;
    }
}
@media (max-width: 800px){
    .downloadContent{
        width: 90%;
    }
    .downloadContent img{
        width: calc(100% - 64px);
    }
}